package extractor.ui;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.border.*;
import ui.*;
import java.util.*;

public class SEendUI extends JFrame {
  JPanel contentPane;
  JLabel jLabel1 = new JLabel();
  JButton jButton1 = new JButton();
  TitledBorder titledBorder1;
	ExtractResultsPanel ejbName = null;
	Vector session = new Vector();

  /**Construct the frame*/
  public SEendUI() {
  	this.ejbName = ejbName;
  	this.session = session;
    enableEvents(AWTEvent.WINDOW_EVENT_MASK);
    try {
      jbInit();
    }
    catch(Exception e) {
      e.printStackTrace();
    }
  }
  /**Component initialization*/
  private void jbInit() throws Exception  {
    titledBorder1 = new TitledBorder("Entity Bean Extraction");
    jLabel1.setFont(new java.awt.Font("Dialog", 1, 20));
    jLabel1.setBorder(BorderFactory.createLoweredBevelBorder());
    jLabel1.setText("Session bean 추출을 완료합니다 !!");
    jLabel1.setBounds(new Rectangle(91, 51, 360, 39));
    //setIconImage(Toolkit.getDefaultToolkit().createImage(Frame1.class.getResource("[Your Icon]")));
    contentPane = (JPanel) this.getContentPane();
    contentPane.setLayout(null);
    this.setSize(new Dimension(509, 210));
    this.setTitle("Frame Title");
    jButton1.setText("OK");
    jButton1.setBounds(new Rectangle(209, 133, 76, 34));
    jButton1.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        jButton1_actionPerformed(e);
      }
    });
    contentPane.add(jLabel1, null);
    contentPane.add(jButton1, null);
  }
  /**Overridden so we can exit when window is closed*/
  protected void processWindowEvent(WindowEvent e) {
    super.processWindowEvent(e);
    if (e.getID() == WindowEvent.WINDOW_CLOSING) {
      setVisible(false);
    }
  }

  void jButton1_actionPerformed(ActionEvent e) {
	this.setVisible(false);
  }
}